%define name	kbarcode
%define version	1.2.1
%define release	2mdk

Summary:	A barcode and label printing application for KDE
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.kbarcode.net
Group:		Publishing
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}_16.png
Source2:	%{name}_32.png
Source3:	%{name}_48.png
Source4:	%{name}_1.2.pdf
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	XFree86-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libarts-devel
BuildRequires:	libfam-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libart_lgpl-devel
Requires:	barcode

%description
KBarcode is a barcode and label printing application for KDE 3.
It can be used to print every thing from simple business cards
up to complex labels with several barcodes (e.g. article
descriptions).
KBarcode comes with an easy to use WYSIWYG label designer, a setup
wizard, batch import of labels (directly from the delivery note),
thousands of predefined labels, database managment tools and
translations in many languages. Even printing more than 10.000
labels in one go is no problem for KBarcode.
Additionally it is a simply xbarcode replacement for the creation
of barcodes. All major types of barcodes like EAN, UPC, CODE39 and
ISBN are supported.

It has support for databases, and you need a package like libqt3-mysql,
libqt3-odbc or libqt3-psql, together with a specific database installed.
Install the kbarcode-doc package for documentation on how to set it up.

%package doc
Summary:	Documentation for Kbarcode
Group:		Publishing

%description doc
KBarcode is a barcode and label printing application for KDE 3.
It can be used to print every thing from simple business cards
up to complex labels with several barcodes (e.g. article
descriptions).
This package provides documentation for Kbarcode.


%prep
%setup -q

%build
CONFIGURE_TOP="${CONFIGURE_TOP:-.}";
CFLAGS="${CFLAGS:--O2 -fomit-frame-pointer -pipe -march=i586 -mcpu=pentiumpro}" ; export CFLAGS ;
CXXFLAGS="${CXXFLAGS:--O2 -fomit-frame-pointer -pipe -march=i586 -mcpu=pentiumpro}" ; export CXXFLAGS ;
FFLAGS="${FFLAGS:--O2 -fomit-frame-pointer -pipe -march=i586 -mcpu=pentiumpro}" ; export FFLAGS ;
$CONFIGURE_TOP/configure \
        --prefix=%{_prefix} \
        --exec-prefix=%{_prefix} \
        --bindir=%{_bindir} \
        --sysconfdir=%{_sysconfdir} \
        --datadir=%{_datadir} \
        --includedir=%{_includedir} \
        --libdir=%{_libdir} \
        --mandir=%{_mandir} \
        --infodir=%{_infodir} \
        --disable-rpath --with-xinerama

%make

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

# Menu
# Provide only the main menucommand.
# Will add more command switches on user request.
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%name <<EOF
?package(%name):\
command="/usr/bin/%{name}"\
icon="%name.png"\
title="KBarcode"\
longtitle="KBarcode is a barcode and label printing application."\
needs="x11"\
section="Applications/Publishing"
EOF
)

install -d %buildroot/%_miconsdir
install -d %buildroot/%_liconsdir
install -d %buildroot/%_iconsdir

install -m644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m644 %SOURCE3 %buildroot/%_liconsdir/%name.png
install -m644 %SOURCE4 $RPM_BUILD_DIR/%{name}-%{version}

rm %buildroot/%{_datadir}/apps/kbarcode/barcodes.html


%{find_lang} %name


%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/apps/kbarcode/*
%{_datadir}/icons/*
%{_datadir}/mimelnk/application/*
%{_datadir}/applnk/Applications/KBarcode/*
%{_menudir}/%{name}

%files doc
%defattr(-,root,root,-)
%doc AUTHORS COPYING README kbarcode/barcodes.html kbarcode_1.2.pdf


%changelog
* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-2mdk
- Rebuild

* Wed May 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Fri Apr 25 2003 Marcel Pol <mpol@gmx.net> 1.2.0-3mdk
- buildrequires
- disable debug
- use configure macros

* Mon Apr 14 2003 Marcel Pol <mpol@gmx.net> 1.2.0-2mdk
- buildrequires

* Mon Apr 14 2003 Marcel Pol <mpol@gmx.net> 1.2.0-1mdk
- initial mandrake release





